Index: Makefile
===================================================================
--- Makefile	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ Makefile	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -10,6 +10,6 @@
 
 # Program variables
-objects = account.o bitlbee.o conf.o crypting.o help.o ipc.o irc.o irc_commands.o log.o nick.o query.o root_commands.o set.o storage.o $(STORAGE_OBJS) unix.o user.o dcc.o
-headers = account.h bitlbee.h commands.h conf.h config.h crypting.h help.h ipc.h irc.h log.h nick.h query.h set.h sock.h storage.h user.h dcc.h lib/events.h lib/http_client.h lib/ini.h lib/md5.h lib/misc.h lib/proxy.h lib/sha1.h lib/ssl_client.h lib/url.h protocols/nogaim.h protocols/ft.h
+objects = account.o bitlbee.o conf.o crypting.o help.o ipc.o irc.o irc_commands.o log.o nick.o query.o root_commands.o set.o storage.o $(STORAGE_OBJS) unix.o user.o
+headers = account.h bitlbee.h commands.h conf.h config.h crypting.h help.h ipc.h irc.h log.h nick.h query.h set.h sock.h storage.h user.h lib/events.h lib/http_client.h lib/ini.h lib/md5.h lib/misc.h lib/proxy.h lib/sha1.h lib/ssl_client.h lib/url.h protocols/nogaim.h
 subdirs = lib protocols
 
Index: conf.c
===================================================================
--- conf.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ conf.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -63,5 +63,4 @@
 	conf->ping_timeout = 300;
 	conf->user = NULL;
-	conf->max_filetransfer_size = G_MAXUINT;
 	proxytype = 0;
 	
Index: conf.h
===================================================================
--- conf.h	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ conf.h	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -50,5 +50,4 @@
 	int ping_timeout;
 	char *user;
-	size_t max_filetransfer_size;
 } conf_t;
 
Index: irc.c
===================================================================
--- irc.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ irc.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -28,5 +28,4 @@
 #include "crypting.h"
 #include "ipc.h"
-#include "dcc.h"
 
 static gboolean irc_userping( gpointer _irc, int fd, b_input_condition cond );
@@ -1071,17 +1070,7 @@
 			return( 1 );
 		}
-		else if( g_strncasecmp( s + 1, "DCC", 3 ) == 0 )
-		{
-			if( u && u->ic && u->ic->acc->prpl->transfer_request )
-			{
-				file_transfer_t *ft = dcc_request( u->ic, s + 5 );
-				if ( ft )
-					u->ic->acc->prpl->transfer_request( u->ic, ft, u->handle );
-			}
-			return( 1 );
-		}		
 		else
 		{
-			irc_usermsg( irc, "Supported CTCPs are ACTION, VERSION, PING, TYPING, DCC" );
+			irc_usermsg( irc, "Non-ACTION CTCP's aren't supported" );
 			return( 0 );
 		}
Index: irc.h
===================================================================
--- irc.h	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ irc.h	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -87,5 +87,4 @@
 	struct query *queries;
 	struct account *accounts;
-	GSList *file_transfers;
 	
 	struct __USER *users;
Index: protocols/jabber/Makefile
===================================================================
--- protocols/jabber/Makefile	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/jabber/Makefile	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -10,5 +10,5 @@
 
 # [SH] Program variables
-objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o sasl.o si.o s5bytestream.o
+objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o sasl.o
 
 CFLAGS += -Wall
Index: protocols/jabber/iq.c
===================================================================
--- protocols/jabber/iq.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/jabber/iq.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -90,7 +90,7 @@
 			pack = 0;
 		}
-		else if( strcmp( s, XMLNS_DISCO_INFO ) == 0 )
-		{
-			const char *features[] = { XMLNS_DISCO_INFO,
+		else if( strcmp( s, XMLNS_DISCOVER ) == 0 )
+		{
+			const char *features[] = { XMLNS_DISCOVER,
 			                           XMLNS_VERSION,
 			                           XMLNS_TIME,
@@ -98,7 +98,4 @@
 			                           XMLNS_MUC,
 			                           XMLNS_PING,
-						   XMLNS_SI,
-						   XMLNS_BYTESTREAMS,
-						   XMLNS_FILETRANSFER,
 			                           NULL };
 			const char **f;
@@ -120,5 +117,5 @@
 		{
 			xt_free_node( reply );
-			reply = jabber_make_error_packet( node, "feature-not-implemented", "cancel", NULL );
+			reply = jabber_make_error_packet( node, "feature-not-implemented", "cancel" );
 			pack = 0;
 		}
@@ -126,18 +123,16 @@
 	else if( strcmp( type, "set" ) == 0 )
 	{
-		if(  ( c = xt_find_node( node->children, "si" ) ) &&
-		     ( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_SI ) == 0 ) )
-		{
-			return jabber_si_handle_request( ic, node, c );
-		} else if( !( c = xt_find_node( node->children, "query" ) ) ||
+		if( !( c = xt_find_node( node->children, "query" ) ) ||
 		    !( s = xt_find_attr( c, "xmlns" ) ) )
 		{
 			imcb_log( ic, "Warning: Received incomplete IQ-%s packet", type );
 			return XT_HANDLED;
-		} else if( strcmp( s, XMLNS_ROSTER ) == 0 )
-		{
+		}
+		
 		/* This is a roster push. XMPP servers send this when someone
 		   was added to (or removed from) the buddy list. AFAIK they're
 		   sent even if we added this buddy in our own session. */
+		if( strcmp( s, XMLNS_ROSTER ) == 0 )
+		{
 			int bare_len = strlen( ic->acc->user );
 			
@@ -156,15 +151,12 @@
 				
 				xt_free_node( reply );
-				reply = jabber_make_error_packet( node, "not-allowed", "cancel", NULL );
+				reply = jabber_make_error_packet( node, "not-allowed", "cancel" );
 				pack = 0;
 			}
-		} else if( strcmp( s, XMLNS_BYTESTREAMS ) == 0 )
-		{
-		     	/* Bytestream Request (stage 2 of file transfer) */
-			return jabber_bs_recv_request( ic, node, c );
-		} else
+		}
+		else
 		{
 			xt_free_node( reply );
-			reply = jabber_make_error_packet( node, "feature-not-implemented", "cancel", NULL );
+			reply = jabber_make_error_packet( node, "feature-not-implemented", "cancel" );
 			pack = 0;
 		}
@@ -601,163 +593,2 @@
 	return st;
 }
-
-xt_status jabber_iq_parse_features( struct im_connection *ic, struct xt_node *node, struct xt_node *orig );
-
-xt_status jabber_iq_query_features( struct im_connection *ic, char *bare_jid )
-{
-	struct xt_node *node, *query;
-	struct jabber_buddy *bud;
-	
-	if( ( bud = jabber_buddy_by_jid( ic, bare_jid , 0 ) ) == NULL )
-	{
-		/* Who cares about the unknown... */
-		imcb_log( ic, "Couldn't find buddy: %s", bare_jid);
-		return 0;
-	}
-	
-	if( bud->features ) /* been here already */
-		return XT_HANDLED;
-	
-	node = xt_new_node( "query", NULL, NULL );
-	xt_add_attr( node, "xmlns", XMLNS_DISCO_INFO );
-	
-	if( !( query = jabber_make_packet( "iq", "get", bare_jid, node ) ) )
-	{
-		imcb_log( ic, "WARNING: Couldn't generate feature query" );
-		xt_free_node( node );
-		return 0;
-	}
-
-	jabber_cache_add( ic, query, jabber_iq_parse_features );
-
-	return jabber_write_packet( ic, query );
-}
-
-xt_status jabber_iq_parse_features( struct im_connection *ic, struct xt_node *node, struct xt_node *orig )
-{
-	struct xt_node *c;
-	struct jabber_buddy *bud;
-	char *feature;
-
-	if( !( c = xt_find_node( node->children, "query" ) ) ||
-	    !( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_DISCO_INFO ) == 0 ) )
-	{
-		imcb_log( ic, "WARNING: Received incomplete IQ-result packet for discover" );
-		return XT_HANDLED;
-	}
-	if( ( bud = jabber_buddy_by_jid( ic, xt_find_attr( node, "from") , 0 ) ) == NULL )
-	{
-		/* Who cares about the unknown... */
-		imcb_log( ic, "Couldn't find buddy: %s", xt_find_attr( node, "from"));
-		return 0;
-	}
-	
-	c = c->children;
-	while( ( c = xt_find_node( c, "feature" ) ) ) {
-		feature = xt_find_attr( c, "var" );
-		bud->features = g_slist_append(bud->features, g_strdup(feature) );
-		c = c->next;
-	}
-
-	return XT_HANDLED;
-}
-
-xt_status jabber_iq_parse_server_features( struct im_connection *ic, struct xt_node *node, struct xt_node *orig );
-
-xt_status jabber_iq_query_server( struct im_connection *ic, char *jid, char *xmlns )
-{
-	struct xt_node *node, *query;
-	struct jabber_data *jd = ic->proto_data;
-	
-	node = xt_new_node( "query", NULL, NULL );
-	xt_add_attr( node, "xmlns", xmlns );
-	
-	if( !( query = jabber_make_packet( "iq", "get", jid, node ) ) )
-	{
-		imcb_log( ic, "WARNING: Couldn't generate server query" );
-		xt_free_node( node );
-	}
-
-	jd->have_streamhosts--;
-	jabber_cache_add( ic, query, jabber_iq_parse_server_features );
-
-	return jabber_write_packet( ic, query );
-}
-
-/*
- * Query the server for "items", query each "item" for identities, query each "item" that's a proxy for it's bytestream info
- */
-xt_status jabber_iq_parse_server_features( struct im_connection *ic, struct xt_node *node, struct xt_node *orig )
-{
-	struct xt_node *c;
-	struct jabber_data *jd = ic->proto_data;
-
-	if( !( c = xt_find_node( node->children, "query" ) ) ||
-	    !xt_find_attr( node, "from" ) )
-	{
-		imcb_log( ic, "WARNING: Received incomplete IQ-result packet for discover" );
-		return XT_HANDLED;
-	}
-
-	jd->have_streamhosts++;
-
-	if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_DISCO_ITEMS ) == 0 )
-	{
-		char *item, *itemjid;
-
-		/* answer from server */
-	
-		c = c->children;
-		while( ( c = xt_find_node( c, "item" ) ) )
-		{
-			item = xt_find_attr( c, "name" );
-			itemjid = xt_find_attr( c, "jid" );
-
-			jabber_iq_query_server( ic, itemjid, XMLNS_DISCO_INFO );
-
-			c = c->next;
-		}
-	} else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_DISCO_INFO ) == 0 )
-	{
-		char *category, *type;
-
-		/* answer from potential proxy */
-
-		c = c->children;
-		while( ( c = xt_find_node( c, "identity" ) ) )
-		{
-			category = xt_find_attr( c, "category" );
-			type = xt_find_attr( c, "type" );
-
-			if( type && ( strcmp( type, "bytestreams" ) == 0 ) &&
-			    category && ( strcmp( category, "proxy" ) == 0 ) )
-				jabber_iq_query_server( ic, xt_find_attr( node, "from" ), XMLNS_BYTESTREAMS );
-
-			c = c->next;
-		}
-	} else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_BYTESTREAMS ) == 0 )
-	{
-		char *host, *jid;
-		int port;
-
-		/* answer from proxy */
-
-		if( ( c = xt_find_node( c->children, "streamhost" ) ) &&
-		    ( host = xt_find_attr( c, "host" ) ) &&
-		    ( port = atoi( xt_find_attr( c, "port" ) ) ) &&
-		    ( jid = xt_find_attr( c, "jid" ) ) )
-		{
-			jabber_streamhost_t *sh = g_new0( jabber_streamhost_t, 1 );
-			sh->jid = g_strdup( jid );
-			sh->host = g_strdup( host );
-			sprintf( sh->port, "%u", port );
-
-			imcb_log( ic, "Proxy found: jid %s host %s port %u", jid, host, port );
-			jd->streamhosts = g_slist_append( jd->streamhosts, sh );
-		}
-	}
-
-	if( jd->have_streamhosts == 0 )
-		jd->have_streamhosts++;
-	return XT_HANDLED;
-}
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/jabber/jabber.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -530,5 +530,4 @@
 	ret->send_typing = jabber_send_typing;
 	ret->handle_cmp = g_strcasecmp;
-	ret->transfer_request = jabber_si_transfer_request;
 
 	register_protocol( ret );
Index: protocols/jabber/jabber.h
===================================================================
--- protocols/jabber/jabber.h	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/jabber/jabber.h	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -59,12 +59,4 @@
 } jabber_buddy_flags_t;
 
-/* Stores a streamhost's(a.k.a. proxy) data */
-typedef struct
-{
-	char *jid;
-	char *host;
-	char port[6];
-} jabber_streamhost_t;
-
 typedef enum
 {
@@ -97,8 +89,4 @@
 	GHashTable *node_cache;
 	GHashTable *buddies;
-
-	GSList *filetransfers;
-	GSList *streamhosts;
-	int have_streamhosts;
 };
 
@@ -130,5 +118,4 @@
 	struct jabber_away_state *away_state;
 	char *away_message;
-	GSList *features;
 	
 	time_t last_act;
@@ -144,34 +131,4 @@
 	char *my_full_jid; /* Separate copy because of case sensitivity. */
 	struct jabber_buddy *me;
-};
-
-struct jabber_transfer
-{
-	/* bitlbee's handle for this transfer */
-	file_transfer_t *ft;
-
-	/* the stream's private handle */
-	gpointer streamhandle;
-
-	/* timeout for discover queries */
-	gint disco_timeout;
-	gint disco_timeout_fired;
-
-	struct im_connection *ic;
-
-	struct jabber_buddy *bud;
-
-	int watch_in;
-	int watch_out;
-
-	char *ini_jid;
-	char *tgt_jid;
-	char *iq_id;
-	char *sid;
-	int accepted;
-
-	size_t bytesread, byteswritten;
-	int fd;
-	struct sockaddr_storage saddr;
 };
 
@@ -205,22 +162,15 @@
 
 /* Some supported extensions/legacy stuff */
-#define XMLNS_AUTH         "jabber:iq:auth"                                      /* XEP-0078 */
-#define XMLNS_VERSION      "jabber:iq:version"                                   /* XEP-0092 */
-#define XMLNS_TIME         "jabber:iq:time"                                      /* XEP-0090 */
-#define XMLNS_PING         "urn:xmpp:ping"                                       /* XEP-0199 */
-#define XMLNS_VCARD        "vcard-temp"                                          /* XEP-0054 */
-#define XMLNS_DELAY        "jabber:x:delay"                                      /* XEP-0091 */
-#define XMLNS_XDATA        "jabber:x:data"                                       /* XEP-0004 */
-#define XMLNS_CHATSTATES   "http://jabber.org/protocol/chatstates"               /* XEP-0085 */
-#define XMLNS_DISCO_INFO   "http://jabber.org/protocol/disco#info"               /* XEP-0030 */
-#define XMLNS_DISCO_ITEMS  "http://jabber.org/protocol/disco#items"              /* XEP-0030 */
-#define XMLNS_MUC          "http://jabber.org/protocol/muc"                      /* XEP-0045 */
-#define XMLNS_MUC_USER     "http://jabber.org/protocol/muc#user"                 /* XEP-0045 */
-#define XMLNS_CAPS         "http://jabber.org/protocol/caps"                     /* XEP-0115 */
-#define XMLNS_FEATURE      "http://jabber.org/protocol/feature-neg"              /* XEP-0020 */
-#define XMLNS_SI           "http://jabber.org/protocol/si"                       /* XEP-0095 */
-#define XMLNS_FILETRANSFER "http://jabber.org/protocol/si/profile/file-transfer" /* XEP-0096 */
-#define XMLNS_BYTESTREAMS  "http://jabber.org/protocol/bytestreams"              /* XEP-0065 */
-#define XMLNS_IBB          "http://jabber.org/protocol/ibb"                      /* XEP-0047 */
+#define XMLNS_AUTH         "jabber:iq:auth"                     /* XEP-0078 */
+#define XMLNS_VERSION      "jabber:iq:version"                  /* XEP-0092 */
+#define XMLNS_TIME         "jabber:iq:time"                     /* XEP-0090 */
+#define XMLNS_PING         "urn:xmpp:ping"                      /* XEP-0199 */
+#define XMLNS_VCARD        "vcard-temp"                         /* XEP-0054 */
+#define XMLNS_DELAY        "jabber:x:delay"                     /* XEP-0091 */
+#define XMLNS_CHATSTATES   "http://jabber.org/protocol/chatstates"  /* 0085 */
+#define XMLNS_DISCOVER     "http://jabber.org/protocol/disco#info"  /* 0030 */
+#define XMLNS_MUC          "http://jabber.org/protocol/muc"     /* XEP-0045 */
+#define XMLNS_MUC_USER     "http://jabber.org/protocol/muc#user"/* XEP-0045 */
+#define XMLNS_CAPS         "http://jabber.org/protocol/caps"    /* XEP-0115 */
 
 /* iq.c */
@@ -232,16 +182,4 @@
 int jabber_add_to_roster( struct im_connection *ic, char *handle, char *name );
 int jabber_remove_from_roster( struct im_connection *ic, char *handle );
-xt_status jabber_iq_query_features( struct im_connection *ic, char *bare_jid );
-xt_status jabber_iq_query_server( struct im_connection *ic, char *jid, char *xmlns );
-
-/* si.c */
-int jabber_si_handle_request( struct im_connection *ic, struct xt_node *node, struct xt_node *sinode );
-void jabber_si_transfer_request( struct im_connection *ic, file_transfer_t *ft, char *who );
-void jabber_si_free_transfer( file_transfer_t *ft);
-
-/* s5bytestream.c */
-int jabber_bs_recv_request( struct im_connection *ic, struct xt_node *node, struct xt_node *qnode);
-gboolean jabber_bs_send_start( struct jabber_transfer *tf );
-gboolean jabber_bs_send_write( file_transfer_t *ft, char *buffer, unsigned int len );
 
 /* message.c */
@@ -257,5 +195,5 @@
 char *set_eval_tls( set_t *set, char *value );
 struct xt_node *jabber_make_packet( char *name, char *type, char *to, struct xt_node *children );
-struct xt_node *jabber_make_error_packet( struct xt_node *orig, char *err_cond, char *err_type, char *err_code );
+struct xt_node *jabber_make_error_packet( struct xt_node *orig, char *err_cond, char *err_type );
 void jabber_cache_add( struct im_connection *ic, struct xt_node *node, jabber_cache_event func );
 struct xt_node *jabber_cache_get( struct im_connection *ic, char *id );
Index: protocols/jabber/jabber_util.c
===================================================================
--- protocols/jabber/jabber_util.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/jabber/jabber_util.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -97,5 +97,5 @@
 }
 
-struct xt_node *jabber_make_error_packet( struct xt_node *orig, char *err_cond, char *err_type, char *err_code )
+struct xt_node *jabber_make_error_packet( struct xt_node *orig, char *err_cond, char *err_type )
 {
 	struct xt_node *node, *c;
@@ -109,8 +109,4 @@
 	c = xt_new_node( "error", NULL, c );
 	xt_add_attr( c, "type", err_type );
-	
-	/* Add the error code, if present */
-	if (err_code)
-		xt_add_attr( c, "code", err_code );
 	
 	/* To make the actual error packet, we copy the original packet and
@@ -295,12 +291,5 @@
 	new = g_new( char, len + 1 );
 	for( i = 0; i < len; i ++ )
-	{
-		/* don't normalize the resource */
-		if( orig[i] == '/' )
-			break;
 		new[i] = tolower( orig[i] );
-	}
-	for( ; i < len; i ++ )
-		new[i] = orig[i];
 	
 	new[i] = 0;
Index: protocols/nogaim.h
===================================================================
--- protocols/nogaim.h	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ protocols/nogaim.h	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -44,5 +44,4 @@
 #include "query.h"
 #include "md5.h"
-#include "ft.h"
 
 #define BUF_LEN MSG_LEN
@@ -230,7 +229,4 @@
 	 * - Most protocols will just want to set this to g_strcasecmp().*/
 	int (* handle_cmp) (const char *who1, const char *who2);
-
-	/* Incoming transfer request */
-	void (* transfer_request) (struct im_connection *, file_transfer_t *ft, char *handle );
 };
 
Index: root_commands.c
===================================================================
--- root_commands.c	(revision c821e8ad0d1cf9ab71e6e34c685d0adea2dde923)
+++ root_commands.c	(revision de8e584d7f4fea214934af094a4df2672d7e0be8)
@@ -1041,69 +1041,4 @@
 		irc_usermsg( irc, "Tried to join chat, not sure if this was successful" );
 		g_free( channel );
-	}
-}
-
-static void cmd_transfers( irc_t *irc, char **cmd )
-{
-	GSList *files = irc->file_transfers;
-	enum { LIST, REJECT, CANCEL };
-	int subcmd = LIST;
-	int fid;
-
-	if( !files )
-	{
-		irc_usermsg( irc, "No pending transfers" );
-		return;
-	}
-
-	if( cmd[1] && 
-	    ( strcmp( cmd[1], "reject" ) == 0 ) )
-	{
-		subcmd = REJECT;
-	}
-	else if( cmd[1] && 
-		 ( strcmp( cmd[1], "cancel" ) == 0 ) && 
-		 cmd[2] &&
-		 ( fid = atoi( cmd[2] ) ) )
-	{
-		subcmd = CANCEL;
-	}
-
-	for( ; files; files = g_slist_next( files ) )
-	{
-		file_transfer_t *file = files->data;
-		
-		switch( subcmd ) {
-		case LIST:
-			if ( file->status == FT_STATUS_LISTENING )
-				irc_usermsg( irc, 
-					"Pending file(id %d): %s (Listening...)", file->local_id, file->file_name);
-			else 
-			{
-				int kb_per_s = 0;
-				time_t diff = time( NULL ) - file->started ? : 1;
-				if ( ( file->started > 0 ) && ( file->bytes_transferred > 0 ) )
-					kb_per_s = file->bytes_transferred / 1024 / diff;
-					
-				irc_usermsg( irc, 
-					"Pending file(id %d): %s (%10zd/%zd kb, %d kb/s)", file->local_id, file->file_name, 
-					file->bytes_transferred/1024, file->file_size/1024, kb_per_s);
-			}
-			break;
-		case REJECT:
-			if( file->status == FT_STATUS_LISTENING )
-			{
-				irc_usermsg( irc, "Rejecting file transfer for %s", file->file_name );
-				imcb_file_canceled( file, "Denied by user" );
-			}
-			break;
-		case CANCEL:
-			if( file->local_id == fid )
-			{
-				irc_usermsg( irc, "Canceling file transfer for %s", file->file_name );
-				imcb_file_canceled( file, "Canceled by user" );
-			}
-			break;
-		}
 	}
 }
@@ -1129,5 +1064,4 @@
 	{ "qlist",          0, cmd_qlist,          0 },
 	{ "join_chat",      2, cmd_join_chat,      0 },
-	{ "transfers",      0, cmd_transfers,      0 },
 	{ NULL }
 };
